# $Id: perl-Net-RawIP.spec 4698 2006-08-24 19:30:32Z dries $
# Authority: dries
# Upstream: Sergey V. Kolychev <ksv$al,lg,ua>

%define perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)

%define real_name Net-RawIP

Summary: Manipulate raw ip packets with interface to libpcap
Name: perl-Net-RawIP
Version: 0.2
Release: 2.rf
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/Net-RawIP/

Packager: Dries Verachtert <dries@ulyssis.org>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://search.cpan.org/CPAN/authors/id/S/SK/SKOLYCHEV/Net-RawIP-%{version}.tar.gz
Patch: gcc.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: perl, libpcap

%description
This is Net::RawIP, a perl module can to manipulate raw IP packets,
with an optional feature for manipulating Ethernet headers.

%prep
%setup -n %{real_name}-%{version}
%patch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} 
#%{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%makeinstall
%{__rm} -rf %{buildroot}%{perl_archlib}/perllocal.pod %{buildroot}%{perl_vendorarch}/auto/*/*/.packlist

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes README
%doc %{_mandir}/man3/*
%{perl_vendorarch}/Net/RawIP.pm
%{perl_vendorarch}/Net/RawIP
%{perl_vendorarch}/auto/Net/RawIP

%changelog
* Thu Aug 24 2006 Dries Verachtert <dries@ulyssis.org> - 0.2-2 - 4698/dries
- Gcc fixes: patch added.

* Wed Mar 22 2006 Dries Verachtert <dries@ulyssis.org> - 0.2-1.2
- Rebuild for Fedora Core 5.

* Sat Apr  9 2005 Dries Verachtert <dries@ulyssis.org> - 0.2-1
- Initial package.
